// Component constants
export const CONSTANTS: any = {
    validTypes : ['cpu', 'gpu', 'drive', 'motherboard', 'memory', 'psu', 'case', 'cpu-cooler'],
    retailerMap : {'www.amazon.es': 'amazon','www.pccomponentes.com' : 'pccomponentes', 'xtremmedia.com':'xtremmedia', 'www.coolmod.com' : 'coolmod', 'www.pixmania.es' : 'pixmania', 'tiendas.mediamarkt.es': 'mediamarkt','www.alternate.es': 'alternate', 'www.worten.es': 'worten'},
    cpuManufacturers: [ 'Intel', 'AMD'],
    gpuManufacturers: ['AMD', 'Asus', 'Club 3D', 'EVGA', 'GALAX', 'Gigabyte', 'Inno3D', 'KFA2', 'MSI', 'NVIDIA', 'Palit', 'PowerColor', 'Sapphire', 'XFX', 'Zotac'],
    memTypes:['GDDR5', 'GDDR5X', 'GDDR6', 'HBM', 'HBM2'],
    intelSockets: [ 'LGA2066' , 'LGA3647' , 'LGA1151' ,  'LGA1150' , 'LGA2011' ,'LGA1155' ,  'G3' ,  'G2' ],
    amdSockets: ['AM4', 'AM3+' , 'AM3' ,  'AM1' , 'FM2+' ,  'FM2' ,  'FM1' ,  'TR4' , 'SP3' , 'FS1' ],
    intelChipsets: ['Intel Z370', 'Intel Z270', 'Intel Q270', 'Intel H270', 'Intel Q250', 'Intel B250', 'Intel Z170', 'Intel Q170', 'Intel H170', 'Intel Q150', 'Intel B150', 'Intel H110', 'Intel Z97', 'Intel H97', 'Intel Z87', 'Intel H87', 'Intel Q87', 'Intel B85', 'Intel H81', 'Intel X299' , 'Intel X99', 'Intel X79'],
    amdChipsets: ['AMD X470', 'AMD B450', 'AMD A420','AMD X370', 'AMD B350', 'AMD A320', 'AMD X300', 'AMD A300', 'AMD B300', 'AMD X399', 'AMD 990FX', 'AMD 990X', 'AMD 970', 'AMD 890FX', '890GX', 'AMD 880M', 'AMD 880G', 'AMD 870'],
    driveManufacturers:['Asus', 'Corsair', 'Crucial', 'Intel', 'Kingston', 'Maxtor', 'OCZ', 'Samsung', 'Sandisk', 'Seagate', 'Toshiba', 'Western Digital'],
    moboManufacturers:['Asrock','Asus', 'Gigabyte', 'MSI'],
    memoryManufacturers:['Corsair', 'Crucial', 'G.Skill', 'Kingston'],
    psuManufacturers:['Aerocool', 'Antec', 'Cooler Master', 'Corsair', 'Enermax' , 'EVGA', 'NOX', 'Owlotech', 'Seasonic', 'Silverstone', 'Tacens'],
    caseManufacturers:['Aerocool', 'Antec', 'BitFenix', 'Cooler Master', 'Corsair', 'Enermax', 'Fractal', 'NOX', 'NZXT', 'Owlotech', 'Phanteks', 'Sharkoon', 'Silverstone', 'Tacens', 'Thermaltake'],
    ramTypes: ['DDR2', 'DDR3', 'DDR4', 'DDR5'],
    efCerificates: ['80+ Bronze', '80+ Silver', '80+ Gold', '80+ Platinum', '80+ Titanium'],
    caseSizes: ['ATX Full Tower', 'ATX Mid Tower', 'Micro ATX', 'Mini ITX'],
    moboForms: ['ATX','Micro ATX', 'Mini ITX'],
    cpuCoolerManufacturers: [ 'Alphacool', 'Antec', 'Be quiet!', 'Cooler Master', 'Corsair', 'Deepcool', 'Enermax', 'EVGA', 'Fractal Design', 'Noctua', 'NZXT', 'Phanteks', 'Silverstone', 'Thermaltake'],
  };